org.apache.ignite.internal.processors.platform.cache.expiry

## Class PlatformExpiryPolicyFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.cache.expiry.PlatformExpiryPolicyFactory

All Implemented Interfaces:
  Serializable, javax.cache.configuration.Factory<PlatformExpiryPolicy>

    public class PlatformExpiryPolicyFactory
    extends Object
    implements javax.cache.configuration.Factory<PlatformExpiryPolicy>

Platform expiry policy factory.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformExpiryPolicyFactory(long create, long update, long access)` Ctor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PlatformExpiryPolicy` `create()`
`long` `getAccess()`
`long` `getCreate()`
`long` `getUpdate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformExpiryPolicyFactory

    public PlatformExpiryPolicyFactory(long create,
                                       long update,
                                       long access)

Ctor.

Parameters:
  `create` - Expiry for create.
  `update` - Expiry for update.
  `access` - Expiry for access.

### Method Detail

#### getCreate

    public long getCreate()

Returns:
  Create expiry.

#### getUpdate

    public long getUpdate()

Returns:
  Update expiry.

#### getAccess

    public long getAccess()

Returns:
  Access expiry.

#### create

    public PlatformExpiryPolicy create()

Specified by:
  `create` in interface `javax.cache.configuration.Factory<PlatformExpiryPolicy>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021